
<div id="introText">
    <p>Sada ćemo pogledati kako ostvariti sklopove koje smo proučavali kroz par prethodnih stranica.</p>
</div>

<h3><b>Primjer 1</b></h3>
<p>
    Da bismo ostvarili bistabil odnosno sklop koji ima dva stanja, stanje <b>0</b> i stanje <b>1</b>, moramo napraviti
    povratnu vezu. Povratna veza je signal (žica) koja povezuje izlaz i ulaz sklopa. <br><br>
    Sami kombinacijski sklopovi nam ne omogućuju pamćenje trenutnog stanja. Međutim već jednostavnim invertorom možemo
    stvoriti jedan jednostavan bistabil. Točnije trebaju nam dva invertora, invertor 1 i invertor 2 koji su prikazani na
    simulaciji povezani su upravo na opisani način. <br><br>
</p>


<div align="center" id="inverterSimulation">
    <canvas id="inverters" width="750px" height="400px"></canvas>
</div>

<div>
    <h4 align="center">Primjer 1. Simulacija invertora s povratnom vezom</h4>
</div>
<p>
    Ulaz invertora 2 izlaz je invertora 1, a ulaz invertora 1 izlaz je invertora 2.
    Vidimo da je početno stanje ovih sklopova određeno i na jednoj žici nalazi se logička jedinica dok je na drugoj
    uvijek <b>0</b>. <br><br>

    Kako bi se uvjerili da je ovakav spoj invertora zaista stabilan, odnosno da smo time napravili jedan bistabil (sklop
    s dva stabilna stanja) isprobat ćemo danu simulaciju. <br><br>

    Na ulaz invertora 1 doveden je izlaz invertora 2, pretpostavimo li da je u nekom trenutku na ulazu invertora 1
    logička jedinica tada je i na izlazu invertora 2 logička jedinica. Ako je na ulazu invertora 1 logička jedinica na
    njegovom izlazu mora se nalaziti logička <b>0</b>, tako opisano stanje dovodi nas do logičke nule na ulazu drugog
    invertora. Drugi invertor djelovat će na nulu na svom ulazu i na svoj izlaz staviti logičku jedinicu što odgovara
    jednom stabilnom stanju. <br><br>

    Kako bi promijenili stanje ovako povezanog sklopa kliknite lijevom tipkom miša na žicu koja je trenutno u jedinici
    (ona kojom teče struja). Nakon što ste stisnuli na bilo koji dio žice sklop će promijeniti stanje. Uz žice možete
    slobodno koristiti i klikabilne kućice ovih invertora kako bi im promijenili stanje.

    Sada se na ulazu invertora 1 nalazi logička nula, što znači da se na njegovom izlazu mora naći jedinica. Kako je
    njegov izlaz spojen na ulaz invertora 2, invertor 2 vidjet će tu jedinicu i svoj izlaz promijeniti u nulu. Stanje je
    opet stabilno, a naš se spoj invertora s povratnom vezom ponaša kao jedan jednostavan bistabil (sklop s dva stabilna
    stanja).
</p>
<br>
<p>
    Na sljedećoj stranici vidjet ćemo i neke druge izvedbe bistabila.
</p>

<script>
    /*@#page-include#(library.js)*/
    /*@#page-include#(example3.js)*/
</script>




